Bug 978743 - Review Request: superkb - Graphical application launcher for Linux.
Review Request: superkb - Graphical application launcher for Linux.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Eduardo Echeverria
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 02:40 EDT by Ruben Guerra Marin
Modified: 2013-07-13 23:40 EDT (History)
4 users (show)

See Also:
Fixed In Version: superkb-0.22-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-13 23:26:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
echevemaster: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ruben Guerra Marin 2013-06-27 02:40:00 EDT
Spec URL: http://rugebiker.fedorapeople.org/superkb/superkb.spec
SRPM URL: superkb-0.22-1.fc18.src.rpm
Description:

Hi! So this is my first package, and I would like someone to review it so it can be in the fedora repos! and also I would like to become a fedora package maintainer (: This is a package that I use a lot, and I know a lot of people who use it also.

Superkb is a graphical application launcher for Linux. It works by activating upon a hotkey press, usually Super_L or Super_R (better known as "the Windows key"). On activation it shows a keyboard on screen with the keys and its corresponding actions.

Thanks a lot!

Fedora Account System Username: rugebiker
Comment 1 Ruben Guerra Marin 2013-06-27 02:44:21 EDT
wops! sorry here is the right SRPM URL: http://rugebiker.fedorapeople.org/superkb/superkb-0.22-1.fc18.src.rpm

sorry for that (:
thanks!
Comment 2 Eduardo Echeverria 2013-06-28 03:16:32 EDT
if nobody beats me first. I want review this package.
Comment 3 Marcelo Barbosa "firemanxbr" 2013-07-01 02:16:53 EDT
Hi biker,

   I sugest some adjusts for your package:

   1) Please ajuste your SOURCE0 option in your spec file, please insert FULL url in this variable, and please test again.
   2) Adjust your spec file for 80 cols always
   3) Check documentation for BuildRequires and Requires, this options are different:
   http://fedoraproject.org/wiki/Packaging:Guidelines#BuildRequires

  Thank you.

Marcelo Barbosa
Comment 4 Eduardo Echeverria 2013-07-01 02:44:31 EDT
This package fails on the build, the compilation warnings can give you one clue to resolve the issue

ERROR: Superkb requires some components not found in your
system. Compilation can not continue without these components.
Please install them accordingly. The required components are:
* Xft library and development headers
* Xrender library and development headers
Under Fedora, we suggest the following command:
===> su -c 'yum install libXft-devel xorg-x11-proto-devel '
In addition, the following components are highly suggested to
better experience Superkb:
* Cairo and Pango library and development headers
Under Fedora, we suggest the following command:
===> su -c 'yum install cairo-devel pango-devel '
Comment 5 Ruben Guerra Marin 2013-07-01 23:33:30 EDT
Fixed (: thanks a lot,., here is the koji test output:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5564127

thanks!
Comment 6 Ruben Guerra Marin 2013-07-01 23:49:40 EDT
Here is also the new superkb-0.22-2 SRPM:
http://rugebiker.fedorapeople.org/superkb/superkb-0.22-2.fc18.src.rpm
Comment 7 Eduardo Echeverria 2013-07-02 03:03:48 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

the so-files aren't  in LDPATH, are only plugins,

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 28 files have unknown license. Detailed output of
     licensecheck in /home/makerpm/978743-superkb/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 40960 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[-]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[-]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: superkb-0.22-2.fc20.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint superkb
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
superkb (rpmlib, GLIBC filtered):
    libImlib2.so.1()(64bit)
    libX11.so.6()(64bit)
    libXext.so.6()(64bit)
    libXft.so.2()(64bit)
    libXinerama.so.1()(64bit)
    libXrender.so.1()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libdl.so.2()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgdk_pixbuf_xlib-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
superkb:
    superkb
    superkb(x86-64)



Unversioned so-files
--------------------
superkb: /usr/lib64/superkb/drawkblibs-cairo.so
superkb: /usr/lib64/superkb/drawkblibs-xlib.so
superkb: /usr/lib64/superkb/puticon-gdkpixbuf.so
superkb: /usr/lib64/superkb/puticon-imlib2.so

Source checksums
----------------
http://downloads.sourceforge.net/project/superkb/superkb/0.22/superkb-0.22.tar.gz :
  CHECKSUM(SHA256) this package     : 370a7d5d19a2b237891fdf8503a1760c49e1fdfb2d965aa91576929e9c49d491
  CHECKSUM(SHA256) upstream package : 370a7d5d19a2b237891fdf8503a1760c49e1fdfb2d965aa91576929e9c49d491


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 978743 -m fedora-rawhide-x86_64


----------------

PACKAGE APPROVED

----------------


Follow the process from: 
https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Add_Package_to_Source_Code_Management_.28SCM.29_system_and_Set_Owner


If you have any questions , feel free to contact me through my email or in the irc channel #fedora-devel, my nick is echevemaster
Comment 8 Ruben Guerra Marin 2013-07-02 03:29:20 EDT
New Package SCM Request
=======================
Package Name: superkb
Short Description: Superkb is a graphical application launcher for Linux.
Owners: rugebiker echevemaster
Branches: f17 f18 f19
InitialCC:
Comment 9 Ruben Guerra Marin 2013-07-02 03:33:52 EDT
New Package SCM Request
=======================
Package Name: superkb
Short Description: Graphical application launcher for Linux.
Owners: rugebiker echevemaster
Branches: f17 f18 f19
InitialCC:
Comment 10 Gwyn Ciesla 2013-07-02 06:56:29 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2013-07-02 14:15:48 EDT
superkb-0.22-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/superkb-0.22-2.fc19
Comment 12 Fedora Update System 2013-07-02 14:18:37 EDT
superkb-0.22-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/superkb-0.22-2.fc18
Comment 13 Fedora Update System 2013-07-02 14:19:52 EDT
superkb-0.22-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/superkb-0.22-2.fc17
Comment 14 Michael Schwendt 2013-07-02 16:08:59 EDT
> %{_mandir}/man1/superkb.1.gz
> %attr(0644, root, root)  %{_mandir}/man1/superkb.1.*

That's a duplicate entry. Either line would have been enough.
https://fedoraproject.org/wiki/Packaging:Guidelines#Duplicate_Files

Reduce usage of %attr to files with really special ownership and permissions, such as non-root user/group and setuid. If the man page isn't mode 0644, preferably fix it up in %install section and in the upstream tarball.
Comment 15 Eduardo Echeverria 2013-07-02 17:58:48 EDT
(In reply to Michael Schwendt from comment #14)
> > %{_mandir}/man1/superkb.1.gz
> > %attr(0644, root, root)  %{_mandir}/man1/superkb.1.*
> 
> That's a duplicate entry. Either line would have been enough.
> https://fedoraproject.org/wiki/Packaging:Guidelines#Duplicate_Files
> 
> Reduce usage of %attr to files with really special ownership and
> permissions, such as non-root user/group and setuid. If the man page isn't
> mode 0644, preferably fix it up in %install section and in the upstream
> tarball.

It's true, Michael. It was late at night and I didn't see the error. sorry for that.

@biker, please fix it.
Comment 16 Fedora Update System 2013-07-02 23:31:26 EDT
superkb-0.22-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 17 Fedora Update System 2013-07-03 04:21:25 EDT
superkb-0.22-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/superkb-0.22-3.fc19
Comment 18 Fedora Update System 2013-07-03 04:23:57 EDT
superkb-0.22-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/superkb-0.22-3.fc18
Comment 19 Fedora Update System 2013-07-03 04:25:26 EDT
superkb-0.22-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/superkb-0.22-3.fc17
Comment 20 Fedora Update System 2013-07-13 23:26:27 EDT
superkb-0.22-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2013-07-13 23:32:23 EDT
superkb-0.22-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2013-07-13 23:40:16 EDT
superkb-0.22-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.